| Flutter Impeller |

Public Member Functions | List of all members
impeller::ComposeImageFilter Class Reference

`#include <image_filter.h>`

Inheritance diagram for impeller::ComposeImageFilter:

## Public Member Functions
| ComposeImageFilter (const ImageFilter &inner, const ImageFilter &outer)
| ~ComposeImageFilter () override
std::shared_ptr< FilterContents > | WrapInput (const FilterInput::Ref &input) const override
| Wraps the given filter input with a GPU-based image filter. More...
std::shared_ptr< ImageFilter > | Clone () const override
void | Visit (ImageFilterVisitor &visitor) override
Public Member Functions inherited from impeller::ImageFilter
| ImageFilter ()
virtual | ~ImageFilter ()
std::shared_ptr< FilterContents > | GetFilterContents () const
| Generate a new FilterContents using this filter's configuration. More...
virtual int | GetRequiredMipCount () const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::ImageFilter
static std::shared_ptr< ImageFilter > | MakeBlur (Sigma sigma_x, Sigma sigma_y, FilterContents::BlurStyle blur_style, Entity::TileMode tile_mode)
static std::shared_ptr< ImageFilter > | MakeDilate (Radius radius_x, Radius radius_y)
static std::shared_ptr< ImageFilter > | MakeErode (Radius radius_x, Radius radius_y)
static std::shared_ptr< ImageFilter > | MakeMatrix (const Matrix &matrix, SamplerDescriptor sampler_descriptor)
static std::shared_ptr< ImageFilter > | MakeCompose (const ImageFilter &inner, const ImageFilter &outer)
static std::shared_ptr< ImageFilter > | MakeFromColorFilter (const ColorFilter &color_filter)
static std::shared_ptr< ImageFilter > | MakeLocalMatrix (const Matrix &matrix, const ImageFilter &internal_filter)

## Detailed Description

Definition at line 207 of file image_filter.h.

## Constructor & Destructor Documentation

## ◆ ComposeImageFilter()

impeller::ComposeImageFilter::ComposeImageFilter | ( | const ImageFilter & | inner,
|  | const ImageFilter & | outer
| ) |  |

Definition at line 153 of file image_filter.cc.

155 : inner_(inner.Clone()), outer_(outer.Clone()) {}

## ◆ ~ComposeImageFilter()

impeller::ComposeImageFilter::~ComposeImageFilter | ( |  | ) |
| override default

## Member Function Documentation

## ◆ Clone()

std::shared_ptr< ImageFilter > impeller::ComposeImageFilter::Clone | ( |  | ) | const
| override virtual

Implements impeller::ImageFilter.

Definition at line 164 of file image_filter.cc.

164 {
165 return std::make_shared<ComposeImageFilter>(*this);
166 }

## ◆ Visit()

void impeller::ComposeImageFilter::Visit | ( | ImageFilterVisitor & | visitor | ) |
| inline override virtual

Implements impeller::ImageFilter.

Definition at line 223 of file image_filter.h.

223 :
224 std::shared_ptr<ImageFilter> inner_;

## ◆ WrapInput()

std::shared_ptr< FilterContents > impeller::ComposeImageFilter::WrapInput | ( | const FilterInput::Ref & | input | ) | const
| override virtual

Wraps the given filter input with a GPU-based image filter.

Implements impeller::ImageFilter.

Definition at line 159 of file image_filter.cc.

160 {
161 return outer_->WrapInput(FilterInput::Make(inner_->WrapInput(input)));
162 }

References impeller::FilterInput::Make().

The documentation for this class was generated from the following files:

- impeller/aiks/image_filter.h
- impeller/aiks/image_filter.cc

impeller::FilterInput::Make
static FilterInput::Ref Make(Variant input, bool msaa_enabled=true)
Definition: filter_input.cc:19